For the complete documentation index, see llms.txt. This page is also available as Markdown.

state_getKeysPaged - Peaq

Example code for the state_getKeysPaged JSON-RPC method. Complete guide on how to use state_getKeysPaged JSON-RPC in GetBlock Web3 documentation.

Returns a page of storage keys matching a prefix, with a page size and start key.

Parameters

#
Example
Description

0

0x26aa

Positional parameter 0

1

100

Positional parameter 1

2

0xstartkey

Positional parameter 2

3

0xblockhash

Positional parameter 3

Request

curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "method": "state_getKeysPaged",
    "params": ["0x26aa", 100, "0xstartkey", "0xblockhash"]
}'
example.js
const axios = require('axios');
const response = await axios.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'state_getKeysPaged', params: ["0x26aa", 100, "0xstartkey", "0xblockhash"] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);
example.py
import requests
response = requests.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'state_getKeysPaged', 'params': ["0x26aa", 100, "0xstartkey", "0xblockhash"]})
print(response.json())
example.rs
use reqwest::Client;
use serde_json::{json, Value};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let res = client.post("https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"state_getKeysPaged","params":["0x26aa", 100, "0xstartkey", "0xblockhash"]})).send().await?.json::<Value>().await?;
    println!("{}", res["result"]);
    Ok(())
}

Response

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version ("2.0")

id

string

Request identifier ("getblock.io")

result

varies

The method result (see example above)

Use Cases

  • Programmatic access to the state_getKeysPaged method on peaq

  • Integrations, indexing, and tooling built on the peaq node API

Error Handling

Error
Message
Description

-32602

Invalid params

A parameter was missing or malformed

-32601

Method not found

The method name is not exposed by the node

403 / RBAC: access denied

Access denied

The GetBlock access token is missing or incorrect

Was this helpful?